Subscriptions
Add, list, update, and unsubscribe from feed and newsletter subscriptions.
Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Query Parameters
Number of subscriptions to return
1 <= value <= 10050Number of subscriptions to skip (used for alphabetical ordering)
0 <= value0Filter subscriptions by folder ID. If not provided, returns subscriptions without folder assignment (unless all=True)
Return all subscriptions regardless of folder assignment. When true, folder_id is ignored
falseOrder subscriptions: 'name' for alphabetical A-Z with offset pagination, 'recent' for cursor-based pagination (newest items first)
Pagination cursor for fetching next page when order_by='recent'
Filter by source type: 'feed', 'newsletter', or 'podcast'
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source_type": "feed", "title": "string", "unread_count": 0, "status": "healthy", "website": "string", "is_pinned": false, "is_active": true, "newsletter_address": "string", "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a", "artist": "string", "playback_speed": 0 } ], "pagination": { "total": 0, "limit": 0, "offset": 0, "has_more": true, "next_cursor": "string" }}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH '/v1/subscriptions'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "subscription_ids": [ "97d30d42-af8d-4188-be08-78790d810796" ] }'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source_type": "feed", "title": "string", "unread_count": 0, "status": "healthy", "website": "string", "is_pinned": false, "is_active": true, "newsletter_address": "string", "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a", "artist": "string", "playback_speed": 0 }]Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
DELETE '/v1/subscriptions'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "subscription_ids": [ "97d30d42-af8d-4188-be08-78790d810796" ] }'{ "message": "string"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions/check"{ "feed": false, "podcast": false}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The subscription's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "source_type": "feed", "title": "string", "unread_count": 0, "status": "healthy", "website": "string", "is_pinned": false, "is_active": true, "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901", "folder_name": "string", "language": "string", "last_update": "2019-08-24T14:15:22Z", "description": "string", "canonical_url": "string", "newsletter_address": "string", "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a", "artist": "string", "episode_count": 0, "explicit": true, "podcast_summary": "string", "playback_speed": 0}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The subscription's id
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH '/v1/subscriptions/{subscription_id}'
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source_type": "feed", "title": "string", "unread_count": 0, "status": "healthy", "website": "string", "is_pinned": false, "is_active": true, "newsletter_address": "string", "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a", "artist": "string", "playback_speed": 0}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The subscription's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "message": "string"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST '/v1/subscriptions/newsletters'
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscriptions/newsletters" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "newsletter_address": "string", "title": "string"}How is this guide?